Name:           python-iode
Version:        7.0.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        IODE is a package dedicated to econometric models and to the management of statistical series

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://iode.readthedocs.io/en/stable/
Source:         %{pypi_source iode}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'iode' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-iode
Summary:        %{summary}

%description -n python3-iode %_description


%prep
%autosetup -p1 -n iode-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-iode -f %{pyproject_files}


%changelog
%autochangelog